[android-components](../../index.md) / [mozilla.components.feature.sitepermissions](../index.md) / [SitePermissionsStorage](index.md) / [findAllSitePermissionsGroupedByPermission](./find-all-site-permissions-grouped-by-permission.md)

# findAllSitePermissionsGroupedByPermission

`fun findAllSitePermissionsGroupedByPermission(): `[`Map`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-map/index.html)`<`[`Permission`](-permission/index.md)`, `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`SitePermissions`](../-site-permissions/index.md)`>>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/sitepermissions/src/main/java/mozilla/components/feature/sitepermissions/SitePermissionsStorage.kt#L92)

Finds all SitePermissions grouped by [Permission](-permission/index.md).

**Return**
a map of site grouped by [Permission](-permission/index.md).

